<%--
 * Component: dotcom
 *
 * Collects device information for dotcom configuration
 * Retrieves deviceid for a peer device (child or parent).
 *
 * This page is used by the peer to figure out self device id in existing dotcom systems.
 *
 * No Parameters:
 *
 * Last Updated     : $Author$
 * Update Date Time : $Date$
 * RCS File Name    : $RCSfile$
 * RCS Revision     : $Revision$
 * Locked by        : $Locker$
 * Symbolic name    : $Name$
 * State            : $State$
--%><%@
	page import="imagemed.util.*, imagemed.imsession.*, imagemed.jsputil.*, imagemed.dotcom.*"

%><%@
	page errorPage ="../main/exceptionHandler.jsp"

%><HTML><HEAD><TITLE><%= LocalizedMessage.getSimpleMessage( "IMADMIN_GETDOTCOMCONFIG_HTLMPAGE_TITLE" ) %></TITLE><%

	IMSession is = new IMSession(request, response, out);
	if (!is.regOK()) {
		return;
	}

	imagemed.tables.Table.printCommonScript(is);
%></head><body><%TabToolbox.makeTabs( is, is.tabbean, "imadmin/dicom.jsp" , "White" );
	
	if (is.regID==null)
		return;       //Sign on!


//	is.bCheckHttpsAndRedirect = false;

	String devId = null;
//	String devId = request.getParameter("except");
//	try {
//		Properties devPrp = DotcomToolbox.checkClient(is, null, false);
//		is.bRegNotNeeded = false;
//
//		if (devPrp != null)
//			devId = devPrp.getProperty("ID");
//
//		out.println("[DEVID: " + devId + "]");
//	}
//	catch (Throwable th) {
//		out.println(devId + " " + th.toString());		
//	}%>
</HEAD><BODY>
<BR>
<CENTER>
<%	
	if (is.regRights.indexOf("A") != -1) {

		Throwable collectException = null;
		//DotcomConfig dcfg = new DotcomConfig();
		try {
			//dcfg = 
			DotcomConfig.reCollect(is.out,devId);	
		}
		catch (Throwable th) {
			collectException = th;
		}

			
		if ( !(devId != null || "true".equals(request.getParameter("serialize"))) ) {
				if (collectException == null) {
					MessageBox mb = new MessageBox(LocalizedMessage.getSimpleMessage( "IMADMIN_GETDOTCOMCONFIG_DATA_COLLECTED" ),"70%");
					mb.setMessage("<BR><BR>" + LocalizedMessage.getSimpleMessage( "IMADMIN_GETDOTCOMCONFIG_DATA_COLLECTED_MSG" ) + "<BR><BR><BR>");
					mb.addButton(new Button("dicom.jsp","BUTTON_OK","BUTTON_OK"));
					mb.print(is.out);
				}
				else {
					MessageBox mb = new MessageBox(LocalizedMessage.getSimpleMessage( "GENERAL_ERROR_TITLE" ) + "!","70%");
					mb.setMessage("<BR><BR>" + LocalizedMessage.getSimpleMessage( "IMADMIN_GETDOTCOMCONFIG_COULD_NOT_COLLECT_DATA" ) + "<BR><BR><BR>" + Helper.throwable2String( collectException ) );
					mb.addButton(new Button("dicom.jsp","BUTTON_OK","BUTTON_OK"));
					mb.print(is.out);
				}
		}
		else {
			MessageBox mb = new MessageBox(LocalizedMessage.getSimpleMessage( "GENERAL_ERROR_TITLE" ) + "!","70%");
			mb.setMessage("<BR><BR>" + LocalizedMessage.getSimpleMessage( "NO_PERMISSION_TO_THIS_PAGE" ) + "<BR><BR><BR>");
			mb.addButton(new Button("dicom.jsp","BUTTON_OK","BUTTON_OK"));
			mb.print(is.out);
		}
	}

%>
</CENTER>
</BODY></HTML>
