#!/bin/sh
#
# proliferate group <groupid>
# (made from proliferateuser.sh, taking it as example)
#
# Last Updated     : $Author$
# Update Date Time : $Date$
# RCS File Name    : $RCSfile$
# RCS Revision     : $Revision$
# Locked by        : $Locker$
# Symbolic name    : $Name$
# State            : $State$

. $HOME/etc/setenv.sh

GROUPID=""
PROLIFERATE_DATA="false"

while getopts 'g:d' OPT; do
	case $OPT in
	g) GROUPID="$OPTARG" ;;
	d) PROLIFERATE_DATA="true" ;;
	*) usage_ "Invalid_Parameter:$OPT" ;;
	esac   
done

[ -z "$GROUPID" ] && exit 1

if [ "true" = "${PROLIFERATE_DATA}" ] ; then
	direction="all-backup"
	${DOTCOM_HOME}/proliferatedir.sh -f "${USERS_DATA}/#${GROUPID}" -d $direction
else
	# proliferate note.txt only
	$TASKD_HOME/createtaskfileapp -p "PROLIFERATE" -t "sh" -c "${DOTCOM_HOME}/proliferate.sh -f \"${USERS_DATA}/#${GROUPID}/groupnote.txt\""
fi

exit 0
